| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Friends | List of all members
uiStratSynthDisp Class Reference
uiWellAttrib

`#include <uistratsynthdisp.h>`

Inheritance diagram for uiStratSynthDisp:
[legend]

## Public Member Functions
| uiStratSynthDisp (uiParent *, StratSynth::DataMgr &, uiStratLayModEditTools &, uiSize)
| ~uiStratSynthDisp ()
void | addViewerToControl (uiFlatViewer &)
uiMultiFlatViewControl & | control ()
const uiMultiFlatViewControl & | control () const
StratSynth::DataMgr & | dataMgr ()
const StratSynth::DataMgr & | dataMgr () const
void | enableDispUpdate (bool yn)
void | fillPar (IOPar &) const
uiFlatViewer * | getViewerClone (uiParent *) const
void | handleModelChange (bool full)
void | makeInfoMsg (const IOPar &, uiString &)
void | setSavedViewRect ()
void | setSelectedSequence (int)
void | useDispPars (const IOPar &, od_uint32 *=nullptr)
bool | usePar (const IOPar &)
uiFlatViewer * | viewer ()
Public Member Functions inherited from uiGroup
| uiGroup (uiParent *, const char *nm="uiGroup", bool manage=true)
virtual | ~uiGroup ()
void | adjustSize ()
uiObject * | attachObj ()
const uiObject * | attachObj () const
uiObject * | hAlignObj ()
uiObject * | hCenterObj ()
uiMainWin * | mainwin () override
| mOD_DisableCopy (uiGroup) inline operator const uiGroupObj *() const
| operator const uiObject & () const
| operator uiGroupObj * ()
| operator uiObject & ()
uiParent * | parent ()
const uiParent * | parent () const
Notifier< uiBaseObject > & | postFinalise () override
Notifier< uiBaseObject > & | postFinalize () override
Notifier< uiBaseObject > & | preFinalise () override
Notifier< uiBaseObject > & | preFinalize () override
void | setBorder (int l, int t, int r, int b)
void | setBorder (int)
void | setChildrenSensitive (bool)
void | setFrame (bool yn=true)
void | setHAlignObj (uiGroup *o)
void | setHAlignObj (uiObject *)
void | setHCenterObj (uiGroup *o)
void | setHCenterObj (uiObject *)
void | setHSpacing (int)
void | setIsMain (bool)
| internal use only. Tells the layout manager it's a toplevel mngr.
void | setNoBackGround ()
virtual void | setSize (const uiSize &)
void | setSpacing (int s=0)
void | setVSpacing (int)
Public Member Functions inherited from uiParent
uiSize | actualsize (bool inclborder=true) const
uiSize | actualSize (bool include_border) const
void | addChild (uiBaseObject &)
void | attach (ConstraintType, int margin=-1)
void | attach (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *oth, int margin=-1, bool reciprocal=true)
void | attachChild (ConstraintType tp, uiObject *child, uiObject *other, int margin, bool reciprocal)
OD::Color | backgroundColor () const
const ObjectSet< uiBaseObject > * | childList () const
void | deepRedraw (CallBacker *)
virtual void | display (bool yn, bool shrk=false, bool maximize=false)
const uiFont * | font () const
bool | hasFocus () const
bool | isDisplayed () const
uiObject * | mainObject ()
const uiObject * | mainObject () const
void | manageChild (uiBaseObject &, uiObjectBody &)
uiParentBody * | pbody ()
const uiParentBody * | pbody () const
int | prefHNrPics () const
int | prefVNrPics () const
virtual void | reDraw (bool deep)
OD::Color | roBackgroundColor () const
bool | sensitive () const
void | setBackgroundColor (const OD::Color &)
void | setCaption (const uiString &)
void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setPrefHeight (int h)
void | setPrefHeightInChar (float h)
void | setPrefHeightInChar (int h)
void | setPrefWidth (int w)
void | setPrefWidthInChar (float w)
void | setPrefWidthInChar (int w)
void | setSensitive (bool yn=true)
void | setStretch (int h, int v)
void | shallowRedraw (CallBacker *)
int | stretch (bool h) const
void | translateText () override
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
virtual QWidget * | getWidget ()
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
Notifier< uiStratSynthDisp > | viewChanged

## Protected Member Functions
void | canvasResizeCB (CallBacker *)
void | createViewer (uiGroup *)
bool | curIsPS (FlatView::Viewer::VwrDest) const
void | curModEdChgCB (CallBacker *)
void | dataMgrCB (CallBacker *)
int | dispEach () const
void | dispEachChgCB (CallBacker *)
bool | dispFlattened () const
void | dispPropChgCB (CallBacker *)
void | drawLevels (od_uint32 &ctyp)
void | exportCB (CallBacker *)
void | flatChgCB (CallBacker *)
void | handleChange (od_uint32)
void | handlePSViewDisp (FlatView::Viewer::VwrDest)
void | initGrp (CallBacker *)
void | lvlChgCB (CallBacker *)
void | newAddedCB (CallBacker *)
void | newSelCB (CallBacker *)
void | offsSliderChgCB (CallBacker *)
void | packSelCB (CallBacker *)
void | reDisp (bool preserveview=true)
void | setDefaultAppearance (FlatView::Appearance &)
void | setPSVwrData ()
void | setPSVwrDataCB (CallBacker *)
void | setViewerData (FlatView::Viewer::VwrDest, od_uint32 &ctyp, bool preserveview=true)
void | synthAddedCB (CallBacker *)
void | synthRemovedCB (CallBacker *)
void | synthRenamedCB (CallBacker *)
void | updateDispPars (FlatView::Viewer::VwrDest, od_uint32 *=nullptr)
void | updateEntries (bool full)
void | updateOffSliderTxt ()
void | updFlds (bool full)
void | updWvltFld ()
void | vdSelCB (CallBacker *)
void | viewChgCB (CallBacker *)
void | viewPSCB (CallBacker *)
void | wvaSelCB (CallBacker *)
void | zoomChangedCB (CallBacker *)
Protected Member Functions inherited from uiGroup
void | attach_ (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true) override
void | bodyDel (CallBacker *)
uiObject * | mainobject () override
virtual void | reDraw_ (bool deep)
void | reSizeChildren (const uiObject *, float, float)
void | setFrameStyle (int)
void | setShrinkAllowed (bool)
bool | shrinkAllowed ()
void | uiobjDel (CallBacker *)
Protected Member Functions inherited from uiParent
| uiParent (const char *nm, uiParentBody *)
| ~uiParent ()
| mOD_DisableCopy (uiParent) virtual void attach_(ConstraintType
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
bool | canupdatedisp_ = true
uiMultiFlatViewControl * | control_
float | curoffs_ = 0.f
StratSynth::DataMgr & | datamgr_
uiStratLayModEditTools & | edtools_
StratSynth::SynthSpecificParsSet & | entries_
uiWorldRect | initialboundingbox_
uiSize | initialsz_
ObjectSet< FlatView::AuxData > | levelaux_
uiTextItem * | modtypetxtitm_ = nullptr
uiSlider * | offsslider_
uiGroup * | psgrp_
PreStackView::uiSyntheticViewer2DMainWin * | psvwrwin_ = nullptr
int | selseq_
uiSynthGenDlg * | uidatamgr_ = nullptr
uiStratSynthDispDSSel * | vdselfld_
uiFlatViewer * | vwr_
uiStratSynthDispDSSel * | wvaselfld_
uiLineEdit * | wvltfld_
Protected Attributes inherited from uiGroup
uiGroupParentBody * | body_
uiGroupObj * | grpobj_
Protected Attributes inherited from uiParent
uiObject int | margin =-1
uiObject * | oth
uiObject int bool | reciprocal =true)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Friends
class | uiStratSynthDispDSSel

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from uiGroup
static uiGroup * | gtDynamicCastToGrp (QWidget *)
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiStratSynthDisp()

uiStratSynthDisp::uiStratSynthDisp | ( | uiParent * | ,
|  | StratSynth::DataMgr & | ,
|  | uiStratLayModEditTools & | ,
|  | uiSize | )

## ◆ ~uiStratSynthDisp()

uiStratSynthDisp::~uiStratSynthDisp | ( |  | ) |

## Member Function Documentation

## ◆ addViewerToControl()

void uiStratSynthDisp::addViewerToControl | ( | uiFlatViewer & |  | ) |

## ◆ canvasResizeCB()

void uiStratSynthDisp::canvasResizeCB | ( | CallBacker * |  | ) |
| protected

## ◆ control() [1/2]

uiMultiFlatViewControl & uiStratSynthDisp::control | ( |  | ) |
| inline

## ◆ control() [2/2]

const uiMultiFlatViewControl & uiStratSynthDisp::control | ( |  | ) | const
| inline

## ◆ createViewer()

void uiStratSynthDisp::createViewer | ( | uiGroup * |  | ) |
| protected

## ◆ curIsPS()

bool uiStratSynthDisp::curIsPS | ( | FlatView::Viewer::VwrDest |  | ) | const
| protected

## ◆ curModEdChgCB()

void uiStratSynthDisp::curModEdChgCB | ( | CallBacker * |  | ) |
| protected

## ◆ dataMgr() [1/2]

StratSynth::DataMgr & uiStratSynthDisp::dataMgr | ( |  | ) |
| inline

## ◆ dataMgr() [2/2]

const StratSynth::DataMgr & uiStratSynthDisp::dataMgr | ( |  | ) | const
| inline

## ◆ dataMgrCB()

void uiStratSynthDisp::dataMgrCB | ( | CallBacker * |  | ) |
| protected

## ◆ dispEach()

int uiStratSynthDisp::dispEach | ( |  | ) | const
| protected

## ◆ dispEachChgCB()

void uiStratSynthDisp::dispEachChgCB | ( | CallBacker * |  | ) |
| protected

## ◆ dispFlattened()

bool uiStratSynthDisp::dispFlattened | ( |  | ) | const
| protected

## ◆ dispPropChgCB()

void uiStratSynthDisp::dispPropChgCB | ( | CallBacker * |  | ) |
| protected

## ◆ drawLevels()

void uiStratSynthDisp::drawLevels | ( | od_uint32 & | ctyp | ) |
| protected

## ◆ enableDispUpdate()

void uiStratSynthDisp::enableDispUpdate | ( | bool | yn | ) |

## ◆ exportCB()

void uiStratSynthDisp::exportCB | ( | CallBacker * |  | ) |
| protected

## ◆ fillPar()

void uiStratSynthDisp::fillPar | ( | IOPar & |  | ) | const

## ◆ flatChgCB()

void uiStratSynthDisp::flatChgCB | ( | CallBacker * |  | ) |
| protected

## ◆ getViewerClone()

uiFlatViewer * uiStratSynthDisp::getViewerClone | ( | uiParent * |  | ) | const

## ◆ handleChange()

void uiStratSynthDisp::handleChange | ( | od_uint32 |  | ) |
| protected

## ◆ handleModelChange()

void uiStratSynthDisp::handleModelChange | ( | bool | full | ) |

## ◆ handlePSViewDisp()

void uiStratSynthDisp::handlePSViewDisp | ( | FlatView::Viewer::VwrDest |  | ) |
| protected

## ◆ initGrp()

void uiStratSynthDisp::initGrp | ( | CallBacker * |  | ) |
| protected

## ◆ lvlChgCB()

void uiStratSynthDisp::lvlChgCB | ( | CallBacker * |  | ) |
| protected

## ◆ makeInfoMsg()

void uiStratSynthDisp::makeInfoMsg | ( | const IOPar & | ,
|  | uiString & | )

## ◆ newAddedCB()

void uiStratSynthDisp::newAddedCB | ( | CallBacker * |  | ) |
| protected

## ◆ newSelCB()

void uiStratSynthDisp::newSelCB | ( | CallBacker * |  | ) |
| protected

## ◆ offsSliderChgCB()

void uiStratSynthDisp::offsSliderChgCB | ( | CallBacker * |  | ) |
| protected

## ◆ packSelCB()

void uiStratSynthDisp::packSelCB | ( | CallBacker * |  | ) |
| protected

## ◆ reDisp()

void uiStratSynthDisp::reDisp | ( | bool | preserveview = true | ) |
| protected

## ◆ setDefaultAppearance()

void uiStratSynthDisp::setDefaultAppearance | ( | FlatView::Appearance & |  | ) |
| protected

## ◆ setPSVwrData()

void uiStratSynthDisp::setPSVwrData | ( |  | ) |
| protected

## ◆ setPSVwrDataCB()

void uiStratSynthDisp::setPSVwrDataCB | ( | CallBacker * |  | ) |
| protected

## ◆ setSavedViewRect()

void uiStratSynthDisp::setSavedViewRect | ( |  | ) |

## ◆ setSelectedSequence()

void uiStratSynthDisp::setSelectedSequence | ( | int |  | ) |

## ◆ setViewerData()

void uiStratSynthDisp::setViewerData | ( | FlatView::Viewer::VwrDest | ,
|  | od_uint32 & | ctyp,
|  | bool | preserveview = true )
| protected

## ◆ synthAddedCB()

void uiStratSynthDisp::synthAddedCB | ( | CallBacker * |  | ) |
| protected

## ◆ synthRemovedCB()

void uiStratSynthDisp::synthRemovedCB | ( | CallBacker * |  | ) |
| protected

## ◆ synthRenamedCB()

void uiStratSynthDisp::synthRenamedCB | ( | CallBacker * |  | ) |
| protected

## ◆ updateDispPars()

void uiStratSynthDisp::updateDispPars | ( | FlatView::Viewer::VwrDest | ,
|  | od_uint32 * | = nullptr )
| protected

## ◆ updateEntries()

void uiStratSynthDisp::updateEntries | ( | bool | full | ) |
| protected

## ◆ updateOffSliderTxt()

void uiStratSynthDisp::updateOffSliderTxt | ( |  | ) |
| protected

## ◆ updFlds()

void uiStratSynthDisp::updFlds | ( | bool | full | ) |
| protected

## ◆ updWvltFld()

void uiStratSynthDisp::updWvltFld | ( |  | ) |
| protected

## ◆ useDispPars()

void uiStratSynthDisp::useDispPars | ( | const IOPar & | ,
|  | od_uint32 * | = nullptr )

## ◆ usePar()

bool uiStratSynthDisp::usePar | ( | const IOPar & |  | ) |

## ◆ vdSelCB()

void uiStratSynthDisp::vdSelCB | ( | CallBacker * |  | ) |
| protected

## ◆ viewChgCB()

void uiStratSynthDisp::viewChgCB | ( | CallBacker * |  | ) |
| protected

## ◆ viewer()

uiFlatViewer * uiStratSynthDisp::viewer | ( |  | ) |
| inline

## ◆ viewPSCB()

void uiStratSynthDisp::viewPSCB | ( | CallBacker * |  | ) |
| protected

## ◆ wvaSelCB()

void uiStratSynthDisp::wvaSelCB | ( | CallBacker * |  | ) |
| protected

## ◆ zoomChangedCB()

void uiStratSynthDisp::zoomChangedCB | ( | CallBacker * |  | ) |
| protected

## Friends And Related Symbol Documentation

## ◆ uiStratSynthDispDSSel

friend class uiStratSynthDispDSSel
| friend

## Member Data Documentation

## ◆ canupdatedisp_

bool uiStratSynthDisp::canupdatedisp_ = true
| protected

## ◆ control_

uiMultiFlatViewControl* uiStratSynthDisp::control_
| protected

## ◆ curoffs_

float uiStratSynthDisp::curoffs_ = 0.f
| protected

## ◆ datamgr_

StratSynth::DataMgr& uiStratSynthDisp::datamgr_
| protected

## ◆ edtools_

uiStratLayModEditTools& uiStratSynthDisp::edtools_
| protected

## ◆ entries_

StratSynth::SynthSpecificParsSet& uiStratSynthDisp::entries_
| protected

## ◆ initialboundingbox_

uiWorldRect uiStratSynthDisp::initialboundingbox_
| protected

## ◆ initialsz_

uiSize uiStratSynthDisp::initialsz_
| protected

## ◆ levelaux_

ObjectSet<FlatView::AuxData> uiStratSynthDisp::levelaux_
| protected

## ◆ modtypetxtitm_

uiTextItem* uiStratSynthDisp::modtypetxtitm_ = nullptr
| protected

## ◆ offsslider_

uiSlider* uiStratSynthDisp::offsslider_
| protected

## ◆ psgrp_

uiGroup* uiStratSynthDisp::psgrp_
| protected

## ◆ psvwrwin_

PreStackView::uiSyntheticViewer2DMainWin* uiStratSynthDisp::psvwrwin_ = nullptr
| protected

## ◆ selseq_

int uiStratSynthDisp::selseq_
| protected

## ◆ uidatamgr_

uiSynthGenDlg* uiStratSynthDisp::uidatamgr_ = nullptr
| protected

## ◆ vdselfld_

uiStratSynthDispDSSel* uiStratSynthDisp::vdselfld_
| protected

## ◆ viewChanged

Notifier<uiStratSynthDisp> uiStratSynthDisp::viewChanged

## ◆ vwr_

uiFlatViewer* uiStratSynthDisp::vwr_
| protected

## ◆ wvaselfld_

uiStratSynthDispDSSel* uiStratSynthDisp::wvaselfld_
| protected

## ◆ wvltfld_

uiLineEdit* uiStratSynthDisp::wvltfld_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025